Package com.google.android.exoplayer2

## Interface ExoPlayer.TextComponent

- All Known Implementing Classes:
    `SimpleExoPlayer`
  Enclosing interface:
    ExoPlayer

      @Deprecated
      public static interface ExoPlayer.TextComponent

  Deprecated.
  Use `Player`, as the `ExoPlayer.TextComponent` methods are defined by that interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CueGroup` | `getCurrentCues()` | Deprecated. Use `Player.getCurrentCues()` instead.

- - ### Method Detail

    - #### getCurrentCues

          @Deprecated
          CueGroup getCurrentCues()

      Deprecated.
      Use `Player.getCurrentCues()` instead.